Update participant by ID

Update conversation participant

patch

Update a participant's status in the conversation

Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')

Path parameters
workspaceIdstring · uuidRequired

The workspace ID

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
conversationIdstring · uuidRequired

The conversation ID

Example: 67e4d358-ca94-421e-98b7-448860df9d33
conversationParticipantIdstring · min: 1Required

The ID that refers to the conversation participant (e.g. the contact ID if the participant is a contact)

Example: 274bd6ff-3295-49a0-a02d-651fb661d7fb
Body
statusstring · enum · nullableOptional

Participant status in the conversation.

Possible values:
Responses
chevron-right
200

Participant was updated

application/json

A participant who can send and receive messages in the conversation

idstringRequired

Participant ID, the meaning of this field depends on type. If type is user then it's a user ID, if type is contact then it's a contact ID, if type is accessKey then it's the access key ID, and so on.

Example: cb22b001-6226-4d7c-acdd-7414b2bcdbaf
displayNamestringOptional

The participant's name.

Example: John Doe
avatarUrlstringOptional

An URL to the participant's avatar.

Example: https://example.bird.com/avatar-url
typestring · enumRequired

Participant type. The main ones are user, contact, and agent. user is a user belonging to your Bird workspace, contact is one of your customers, agent is a customer service agent, and the remaining types represent system participants.

Possible values:
statusstring · enumOptional

Participant status in the conversation. pending means it's pending approval, invited means it's pending acceptance from the participant, and active means the participant can send and receive messages.

Default: activePossible values:
patch
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{conversationParticipantId}

Examples

curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/280b4743-d753-4767-8516-2fd506e29953" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "status": "active"
}'

Last updated

Was this helpful?